Create a Feature and optionally associate with one or more event_schemas
curl --request POST \
--url https://api.togai.com/features \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "DiscountCredits",
"schemaAssociations": [
"event_schema1",
"event_schema2"
]
}
'import requests
url = "https://api.togai.com/features"
payload = {
"name": "DiscountCredits",
"schemaAssociations": ["event_schema1", "event_schema2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'DiscountCredits',
schemaAssociations: ['event_schema1', 'event_schema2']
})
};
fetch('https://api.togai.com/features', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "feature.1zYnCiM9Bpg.lv25y",
"name": "DiscountCredits",
"displayName": "DiscountCredits",
"schemaAssociations": [
{
"schemaName": "event_schema1",
"attributeName": "distance"
},
{
"schemaName": "event_schema2",
"attributeName": "time"
}
],
"createdAt": "2020-01-01T00:00:00Z",
"updatedAt": "2020-01-01T00:00:00Z"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Feature
Create a Feature and optionally associate with one or more event_schemas
Create a Feature optionally associate with one or more event_schemas
POST
/
features
Create a Feature and optionally associate with one or more event_schemas
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payload to create a Feature along the association with event_schemas
Create a Feature stand-alone or associate it with schemas
Name of the feature
Maximum string length:
255Association of a feature with event_schemas
Maximum array length:
50Show child attributes
Show child attributes
Billable name of feature. Billable name takes precedence over name to display in invoice.
Maximum string length:
255Response
Response for Create and Get Feature requests
Represents a Feature
Display name of feature. This is an auto-generated field which contains billableName of feature. If billableName is not provided, name will be used as display name.
Maximum string length:
255Association of a feature with event_schemas
Maximum array length:
50Show child attributes
Show child attributes
Maximum string length:
255